//	FBShelf.h
//
//	Tetsuo Yamada
//
//	ShelfBar is a container for replicants.
//	FBShelf manages replicants.

#ifndef		FB_SHELF_h_
#define		FB_SHELF_h_

#include	<interface/Shelf.h>
#include	<interface/MenuBar.h>
#include	<interface/PopUpMenu.h>
#include	<interface/MenuItem.h>
#include	"FBBase.h"
#include	"GUI/GUIBase.h"


//===================================================================
//	class FBShelf
//===================================================================
class FBShelf : public BShelf {
//	methods
public : 
							FBShelf (BView *view) ;
							FBShelf (const entry_ref *ref, BView *view) ;
							FBShelf (BDataIO *stream, BView *view) ;
							~FBShelf () ;
	
	virtual void			MessageReceived (BMessage *msg) ;
} ;

//===================================================================
//	class ShelfBar
//===================================================================
class ShelfBar : public BMenuBar {
//	fields
private : 
	BPopUpMenu*				fPopper ;
//	methods
public : 
							ShelfBar () ;
							~ShelfBar () ;
	
	virtual void			Draw (BRect update) ;
	virtual void			ResizeToPreferred () ;
	virtual void			MouseDown (BPoint p) ;
	virtual void			MouseMoved (BPoint p, uint32 t, const BMessage *msg) ;
} ;

#endif

